# MFLTGlyphAdjustment Struct Reference
[FLT API]

Type of information about a glyph position adjustment. More...

## Data Fields

short | back
unsigned | advance_is_absolute: 1
unsigned | set: 1
int | xadv
int | yadv
int | xoff
int | yoff

## Detailed Description

Type of information about a glyph position adjustment.

The type MFLTGlyphAdjustment is the structure to store information about a glyph metrics/position adjustment. It is given to the callback function drive_otf of MFLTFont.

## Field Documentation

int MFLTGlyphAdjustment::xadv

Adjustments for advance width for horizontal layout and advance height for vertical layout expressed in 26.6 fractional pixel format.

int MFLTGlyphAdjustment::yadv

int MFLTGlyphAdjustment::xoff

Horizontal and vertical adjustments for glyph positioning expressed in 26.6 fractional pixel format.

int MFLTGlyphAdjustment::yoff

short MFLTGlyphAdjustment::back

Number of glyphs to go back for drawing a glyph.

unsigned MFLTGlyphAdjustment::advance_is_absolute

If nonzero, the member <xadv> and <yadv> are absolute, i.e., they should not be added to a glyph's origianl advance width and height.

unsigned MFLTGlyphAdjustment::set

Should be set to 1 iff at least one of the other members has a nonzero value.